Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class ShellAdapter

    java.lang.Object
      org.eclipse.swt.events.ShellAdapter

All Implemented Interfaces:
  ShellListener

public abstract class ShellAdapter
extends Object
implements ShellListener

This adapter class provides default implementations for the methods described by the `ShellListener` interface.

Classes that wish to deal with `ShellEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `ShellListener`, `ShellEvent`

Constructor Summary
`ShellAdapter()`

Method Summary
`void` `shellActivated(ShellEvent e)` Sent when a shell becomes the active window.
`void` `shellClosed(ShellEvent e)` Sent when a shell is closed.
`void` `shellDeactivated(ShellEvent e)` Sent when a shell stops being the active window.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShellAdapter

    public ShellAdapter()

Method Detail

### shellActivated

    public void shellActivated(ShellEvent e)

  Sent when a shell becomes the active window. The default behavior is to do nothing.

  Specified by:
    `shellActivated` in interface `ShellListener`
  Parameters:
    `e` - an event containing information about the activation

### shellClosed

    public void shellClosed(ShellEvent e)

  Sent when a shell is closed. The default behavior is to do nothing.

  Specified by:
    `shellClosed` in interface `ShellListener`
  Parameters:
    `e` - an event containing information about the close

### shellDeactivated

    public void shellDeactivated(ShellEvent e)

  Sent when a shell stops being the active window. The default behavior is to do nothing.

  Specified by:
    `shellDeactivated` in interface `ShellListener`
  Parameters:
    `e` - an event containing information about the deactivation

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.